
//Make sure to add the Minim sound library to Processing 
import ddf.minim.*;
import ddf.minim.signals.*;
import ddf.minim.analysis.*;
import ddf.minim.effects.*;

Minim m;
AudioPlayer rain;


void setup() {
  m = new Minim(this);
  size(500, 200);
  smooth();
  background(255);
  rain = m.loadFile("rain.mp3");
  rain.play();
}

void draw() {

  fill(0);
  textSize(32);
  text("Click mouse to pause sound", 10, 50);
  text("Release mouse to start sound", 10, 100);

  if (mousePressed) {
    rain.pause();
  } else {
    restartMusic();
  }
} 

void restartMusic() {
  if (!rain.isPlaying()) {
    rain.pause();
    rain.rewind();
    rain.play();
  }
}